﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System;
using System.Collections.Generic;
using HeuristicLab.Encodings.ConditionActionEncoding;

namespace HeuristicLab.Problems.Instances.ConditionActionClassification {
  public abstract class ConditionActionInstanceProvider<T> : ProblemInstanceProvider<T>
  where T : class, IConditionActionProblemData {

    public override string Description { get { return ""; } }

    public override string Name {
      get { return "CSV File"; }
    }

    public override string ReferencePublication {
      get { return ""; }
    }

    public override Uri WebLink {
      get { return new Uri("http://dev.heuristiclab.com/trac/hl/core/wiki/UsersFAQ#DataAnalysisImportFileFormat"); }
    }

    public override bool CanImportData {
      get { return true; }
    }

    public override IEnumerable<IDataDescriptor> GetDataDescriptors() {
      return new List<IDataDescriptor>();
    }
    public override T LoadData(IDataDescriptor descriptor) {
      throw new NotImplementedException();
    }
  }
}
